#!/bin/sh 
# This utility uninstall overlay1.img which has the IVSU fix on MY17.x Versions

# Signal handler.
SignalTrap()
{
	echo "Received signal.  Update aborting."
	exit 1
}

# In case of error, exit the script with error
function exitWithError
{   
	echo "Exit script with error."
	exit 1
}

# Core function which deletes INF files
function rminffile
{
	rm -f $1
	if [ $? -ne 0 ]; then
		echo "Error: Unable to delete Utility version file $1"
		exitWithError
	else
		echo "Success: removed utility version"
	fi
	sync
	sync
	sleep 1
}

# Check for existence of respective INF files and delete the same
function checkanddeleteinffiles
{
	if [ -e /fs/rwdata/.Version/HB5T-14G386-AHA_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHA_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHB_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHB_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHC_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHC_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHD_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHD_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHE_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHE_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHF_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHF_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHG_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHG_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AHH_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AHH_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AJA_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AJA_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-AKA_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-AKA_Version.inf

	elif [ -e /fs/rwdata/.Version/HB5T-14G386-ALA_Version.inf ]; then
		rminffile /fs/rwdata/.Version/HB5T-14G386-ALA_Version.inf

	fi
}

# Delete overlay1.img and delete utility version file
function deleteoverlay
{
	# Check if overlay image is present
	if [ -e /fs/images/overlay1.img ]; then
		# Delete the overlay1.img
		if [ -e /tmp/update_images ]; then
			echo "update the flag"
			/tmp/update_images -o 1
			if [ $? -ne 0 ]; then
				echo"Error: Unable to set flag @ emmc block using update_images"
				exitWithError
			else
				echo "Success: overlay1.img is deleted"
				checkanddeleteinffiles
			fi
		else
			echo "Error: update_images is not present in pcakage"
			exitWithError
		fi
		sync
		sync
		sleep 4
	else
		echo "overlay1.img is not present @ /fs/images"
	fi
}

# Set Signal Trap
trap SignalTrap INT QUIT TERM ABRT STOP

# Set the permission for the bin used in this utility
cd /tmp
chmod 777 /tmp/update_images
sync
sync
sleep 1

# Delete Overlay
deleteoverlay
